Bug 1009437 - "git clone -q" always fails
"git clone -q" always fails
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: git-core (Show other bugs)
19
All Linux
unspecified Severity high
: ---
: ---
Assigned To: Chris Wright
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-09-18 08:54 EDT by Wolfgang Denk
Modified: 2015-02-17 12:14 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-02-17 12:14:13 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Launchpad 1228148 None None None Never

  None (edit)
Description Wolfgang Denk 2013-09-18 08:54:29 EDT
Description of problem:

"git clone -q" will always fail.

Version-Release number of selected component (if applicable):

git-1.8.3.1-1.fc19.x86_64

How reproducible:

always.

Steps to Reproduce:
1. run:  git clone -q git://kernel.ubuntu.com/ubuntu/linux.git
2.
3.

Actual results:

$ git clone -q git://kernel.ubuntu.com/ubuntu/linux.git
fatal: The remote end hung up unexpectedly
fatal: early EOF
fatal: index-pack failed
$ echo $?
128

Expected results:

Successful clone of the repository.

Additional info:

Running the same command without the "-q" option works fine:

$  git clone git://kernel.ubuntu.com/ubuntu/linux.git
Cloning into 'linux'...
remote: Counting objects: 3317716, done.
remote: Compressing objects: 100% (503414/503414), done.
remote: Total 3317716 (delta 2795811), reused 3306673 (delta 2785138)
Receiving objects: 100% (3317716/3317716), 744.79 MiB | 722.00 KiB/s, done.
Resolving deltas: 100% (2795811/2795811), done.
Checking out files: 100% (44604/44604), done.
$ echo $?
0
Comment 1 Wolfgang Denk 2013-09-20 10:19:25 EDT
This appears to be a server side problem.  See feedback from git mailing list:

http://www.spinics.net/lists/git/msg217736.html

and attempt to have his fixed at Canonical's git server:

https://bugs.launchpad.net/ubuntu/+source/git/+bug/1228148

Patches that fix the issue:
http://www.spinics.net/lists/git/msg217019.html
http://www.spinics.net/lists/git/msg217020.html
Comment 2 Tobias Markow 2013-11-21 03:13:48 EST
Same problem here.
Comment 3 Fedora End Of Life 2015-01-09 14:53:03 EST
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 4 Fedora End Of Life 2015-02-17 12:14:13 EST
Fedora 19 changed to end-of-life (EOL) status on 2015-01-06. Fedora 19 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.